#include <bits/stdc++.h>
using namespace std;

int main(){
	ios::sync_with_stdio(false);
	cin.tie(0);
	long long v, k, d;
	cin >> v;

	int i = 0;
	while (v){
		k = pow(10, int(log10(v)));
		d = v / k;
		if (d >= 5)
			d = 5;
		else if (d >= 2)
			d = 2;
		else
			d = 1;
		v -= d * k;
		i++;
	}

	cout << i << '\n';

	return 0;
}